Crypto++ 8.1 Free C++ class library of cryptographic schemes

Public Member Functions | Static Public Member Functions | List of all members
Tiger Class Reference

Tiger message digest. More...

Inheritance diagram for Tiger:

## Public Member Functions
std::string | AlgorithmProvider () const
| Retrieve the provider of this algorithm. More...
void | TruncatedFinal (byte *hash, size_t size)
| Computes the hash of the current message. More...
Public Member Functions inherited from IteratedHashWithStaticTransform< word64, LittleEndian, 64, 24, Tiger >
unsigned int | DigestSize () const
| Provides the digest size of the hash. More...
Public Member Functions inherited from ClonableImpl< Tiger, AlgorithmImpl< IteratedHash< word64, LittleEndian, T_BlockSize >, Tiger > >
Clonable * | Clone () const
Public Member Functions inherited from AlgorithmImpl< IteratedHash< word64, LittleEndian, T_BlockSize >, Tiger >
std::string | AlgorithmName () const
| The algorithm name. More...
Public Member Functions inherited from IteratedHash< word64, LittleEndian, T_BlockSize >
unsigned int | BlockSize () const
| Provides the block size of the hash. More...
ByteOrder | GetByteOrder () const
| Provides the byte order of the hash. More...
void | CorrectEndianess (HashWordType *out, const HashWordType *in, size_t byteCount)
| Adjusts the byte ordering of the hash. More...
Public Member Functions inherited from IteratedHashBase< word64, HashTransformation >
| IteratedHashBase ()
| Construct an IteratedHashBase.
unsigned int | OptimalBlockSize () const
| Provides the input block size most efficient for this cipher. More...
unsigned int | OptimalDataAlignment () const
| Provides input and output data alignment for optimal performance. More...
void | Update (const byte *input, size_t length)
| Updates a hash with additional input. More...
byte * | CreateUpdateSpace (size_t &size)
| Requests space which can be written into by the caller. More...
void | Restart ()
| Restart the hash. More...
void | TruncatedFinal (byte *digest, size_t digestSize)
| Computes the hash of the current message. More...
Public Member Functions inherited from HashTransformation
HashTransformation & | Ref ()
| Provides a reference to this object. More...
virtual void | Final (byte *digest)
| Computes the hash of the current message. More...
unsigned int | TagSize () const
| Provides the tag size of the hash. More...
virtual void | CalculateDigest (byte *digest, const byte *input, size_t length)
| Updates the hash with additional input and computes the hash of the current message. More...
virtual bool | Verify (const byte *digest)
| Verifies the hash of the current message. More...
virtual bool | VerifyDigest (const byte *digest, const byte *input, size_t length)
| Updates the hash with additional input and verifies the hash of the current message. More...
virtual void | CalculateTruncatedDigest (byte *digest, size_t digestSize, const byte *input, size_t length)
| Updates the hash with additional input and computes the hash of the current message. More...
virtual bool | TruncatedVerify (const byte *digest, size_t digestLength)
| Verifies the hash of the current message. More...
virtual bool | VerifyTruncatedDigest (const byte *digest, size_t digestLength, const byte *input, size_t length)
| Updates the hash with additional input and verifies the hash of the current message. More...
Public Member Functions inherited from Algorithm
| Algorithm (bool checkSelfTestStatus=true)
| Interface for all crypto algorithms. More...

## Static Public Member Functions
static const char * | StaticAlgorithmName ()
static void | InitState (HashWordType *state)
static void | Transform (word64 *digest, const word64 *data)
Static Public Member Functions inherited from AlgorithmImpl< IteratedHash< word64, LittleEndian, T_BlockSize >, Tiger >
static std::string | StaticAlgorithmName ()
| The algorithm name. More...

## Additional Inherited Members
Public Types inherited from IteratedHash< word64, LittleEndian, T_BlockSize >
typedef LittleEndian | ByteOrderClass
typedef word64 | HashWordType
Public Types inherited from IteratedHashBase< word64, HashTransformation >
typedef word64 | HashWordType
Static Public Attributes inherited from IteratedHashWithStaticTransform< word64, LittleEndian, 64, 24, Tiger >
static const int | DIGESTSIZE
Static Public Attributes inherited from IteratedHash< word64, LittleEndian, T_BlockSize >
static const int | BLOCKSIZE

## Detailed Description

Tiger message digest.

See also
  Tiger

Since
  Crypto++ 2.1

Definition at line 24 of file tiger.h.

## Member Function Documentation

## ◆ AlgorithmProvider()

std::string Tiger::AlgorithmProvider | ( |  | ) | const
| virtual

Retrieve the provider of this algorithm.

Returns
  the algorithm provider

The algorithm provider can be a name like "C++", "SSE", "NEON", "AESNI", "ARMv8" and "Power8". C++ is standard C++ code. Other labels, like SSE, usually indicate a specialized implementation using instructions from a higher instruction set architecture (ISA). Future labels may include external hardware like a hardware security module (HSM).

Note
  Provider is not universally implemented yet.

Reimplemented from IteratedHashBase< word64, HashTransformation >.

Definition at line 19 of file tiger.cpp.

## ◆ TruncatedFinal()

void Tiger::TruncatedFinal | ( | byte * | digest,
|  | size_t | digestSize
| ) |  |
| virtual

Computes the hash of the current message.

Parameters

  digest | a pointer to the buffer to receive the hash
  digestSize | the size of the truncated digest, in bytes

TruncatedFinal() call Final() and then copies digestSize bytes to digest. The hash is restarted the hash for the next message.

Implements HashTransformation.

Definition at line 37 of file tiger.cpp.

The documentation for this class was generated from the following files:

- tiger.h
- tiger.cpp
- tigertab.cpp